extends: default

rules:
  braces:
    forbid: true
  document-start:
    present: false
  document-end:
    present: false
  empty-lines:
    max: 1
  indentation:
    spaces: 2
    check-multi-line-strings: true
  line-length:
    max: 100
    allow-non-breakable-words: true
    allow-non-breakable-inline-mappings: true
  new-line-at-end-of-file: enable
  quoted-strings:
    quote-type: double
    required: only-when-needed
    extra-allowed:
      - ^0[0-9]{9}
  truthy: enable
